Subject: bug#65356: 30.0.50; [wishlist] Support Tramp method, user name and host name completion in eshell

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Aug 2023 20:02:12 -0400

> ERC should could set pcomplete-remote-ignore to t, as I have proposed

Not sure if ERC's pcomplete ever completes file names, to be honest.

>> In theory is could be used for completion in code buffers where it
>> could provide specialized completion depending on the expected type of
>> the argument being completed.
> Hmm.  Does it mean you agree with the patch, or not?  My change should
> affect only file name completion, any other completion should work
> as before.

Yes, it's OK.  I was just pointing out that pcomplete doesn't
specifically have anything to do with (completion of) file names, so the
new variable is not really relevant to "pcomplete proper" but only to
the set of defaults that are provided along with pcomplete.
The name might try and reflect that a bit more, e.g. by including
"file" somewhere.

        Stefan